<?php
/**
 * Cwatch
 *
 * @package blesta
 * @subpackage blesta.language.es_es
 * @copyright Copyright (c) 2024, Phillips Data, Inc.
 * @license http://www.blesta.com/license/ The Blesta License Agreement
 * @link http://www.blesta.com/ Blesta
 */

$lang['CWatch.name'] = 'CWatch';
$lang['CWatch.description'] = 'Una herramienta de protección para su sitio web, servidores web y aplicaciones web contra la creciente sofisticación de las amenazas de los piratas informáticos.';
$lang['CWatch.module_row.name'] = 'Cuenta API';
$lang['CWatch.module_row_plural.name'] = 'Cuentas API';
$lang['CWatch.!success.sftp_test'] = 'La conexión SFTP se ha realizado correctamente.';
$lang['CWatch.!success.ftp_test'] = 'La conexión FTP se ha realizado correctamente.';
$lang['CWatch.!tooltip.initiateDns'] = 'Si desea iniciar un análisis de los registros DNS.';
$lang['CWatch.!tooltip.autoSsl'] = 'Si desea instalar un certificado SSL gratuito de Comodo.';
$lang['CWatch.!error.username.valid'] = 'Por favor, introduzca un nombre de usuario.';
$lang['CWatch.!error.password.valid'] = 'Por favor, introduzca una contraseña.';
$lang['CWatch.!error.password.valid_connection'] = 'No se ha podido establecer una conexión con las credenciales proporcionadas.';
$lang['CWatch.!error.cwatch_email.format'] = 'Formato de correo electrónico no válido.';
$lang['CWatch.!error.cwatch_email.unique'] = 'Ya existe un cliente con el correo electrónico indicado.';
$lang['CWatch.!error.cwatch_firstname.empty'] = 'Introduzca un nombre.';
$lang['CWatch.!error.cwatch_lastname.empty'] = 'Introduzca un apellido.';
$lang['CWatch.!error.cwatch_country.length'] = 'Comarca no válida.';
$lang['CWatch.!error.cwatch_domain.format'] = 'Introduzca un nombre de dominio válido, por ejemplo, dominio.com.';
$lang['CWatch.!error.cwatch_domain.unique'] = 'Dominio ya registrado. Por favor, seleccione un dominio diferente.';
$lang['CWatch.!error.limit_exceeded'] = 'El número de licencias asignadas actualmente a los dominios supera el límite introducido.  Por favor, libera licencias eliminando dominios antes de reducir tu límite.';
$lang['CWatch.!error.api.internal'] = 'Se ha producido un error interno o el servidor no ha respondido a la solicitud.';
$lang['CWatch.!error.sftp_test'] = 'La conexión SFTP ha fallado. Compruebe la configuración e inténtelo de nuevo.';
$lang['CWatch.!error.ftp_test'] = 'La conexión FTP ha fallado. Por favor, compruebe su configuración e inténtelo de nuevo.';
$lang['CWatch.manage.boxtitle'] = 'Gestionar CWatch';
$lang['CWatch.manage.title'] = 'Cuentas API';
$lang['CWatch.manage.add_module_row'] = 'Añadir cuenta API';
$lang['CWatch.manage.option_edit'] = 'Editar';
$lang['CWatch.manage.delete'] = 'Borrar';
$lang['CWatch.manage.confirm_delete'] = '¿Está seguro de que desea eliminar este usuario?';
$lang['CWatch.manage.no_results'] = 'No se han encontrado cuentas';
$lang['CWatch.manage.heading_username'] = 'Nombre de usuario';
$lang['CWatch.manage.heading_options'] = 'Opciones';
$lang['CWatch.package_fields.package_type'] = 'Tipo de envase';
$lang['CWatch.package_fields.available_terms'] = 'Condiciones disponibles';
$lang['CWatch.package_fields.tooltip.package_type'] = 'Los paquetes de licencia única suministran sólo una licencia en cWatch del tipo seleccionado aquí por el paquete.  Los paquetes multilicencia utilizan opciones configurables para permitir a los clientes solicitar un número variable de licencias de distintos tipos.';
$lang['CWatch.package_fields.license_type'] = 'Tipo de licencia';
$lang['CWatch.package_fields.license_basic_detection'] = 'Básico';
$lang['CWatch.package_fields.license_starter'] = 'Inicio';
$lang['CWatch.package_fields.license_starter_paid_with_trial'] = 'Starter de pago con prueba';
$lang['CWatch.package_fields.license_waf_starter'] = 'Waf Starter';
$lang['CWatch.package_fields.license_pro'] = 'Profesional';
$lang['CWatch.package_fields.license_pro_paid_with_trial'] = 'Profesional remunerado con prueba';
$lang['CWatch.package_fields.license_pro_free'] = 'Juicio profesional';
$lang['CWatch.package_fields.license_pro_free_60d'] = 'Prueba profesional ampliada';
$lang['CWatch.package_fields.license_premium'] = 'Premium';
$lang['CWatch.package_fields.license_premium_paid_with_trial'] = 'Prima pagada con la prueba';
$lang['CWatch.package_fields.license_premium_free'] = 'Prueba Premium';
$lang['CWatch.package_fields.license_premium_free_60d'] = 'Prueba Premium ampliada';
$lang['CWatch.packagetypes.single_license'] = 'Licencia única';
$lang['CWatch.packagetypes.multi_license'] = 'Licencia múltiple';
$lang['Cwatch.service_field.domain'] = 'Dominio';
$lang['Cwatch.service_field.email'] = 'Correo electrónico';
$lang['Cwatch.service_field.firstname'] = 'Nombre';
$lang['Cwatch.service_field.lastname'] = 'Apellido';
$lang['Cwatch.service_field.country'] = 'País';
$lang['CWatch.add_row.box_title'] = 'Añadir cuenta API';
$lang['CWatch.add_row.basic_title'] = 'Configuración de usuario';
$lang['CWatch.add_row.field_username'] = 'Nombre de usuario';
$lang['CWatch.add_row.field_password'] = 'Contraseña';
$lang['CWatch.add_row.field_sandbox'] = 'Activar SandBox';
$lang['CWatch.add_row.add_btn'] = 'Añadir cuenta';
$lang['CWatch.edit_row.box_title'] = 'Editar cuenta API';
$lang['CWatch.edit_row.basic_title'] = 'Configuración de usuario';
$lang['CWatch.edit_row.field_username'] = 'Nombre de usuario';
$lang['CWatch.edit_row.field_password'] = 'Contraseña';
$lang['CWatch.edit_row.field_sandbox'] = 'Activar SandBox';
$lang['CWatch.edit_row.add_btn'] = 'Editar credenciales';
$lang['CWatch.service_info.option_login'] = 'Iniciar sesión en cWatch';
$lang['CWatch.tab_licenses.licenses'] = 'Gestionar licencias';
$lang['CWatch.tab_licenses.inactive_licenses'] = 'Licencias inactivas';
$lang['CWatch.tab_licenses.add'] = 'Añadir nuevo sitio';
$lang['CWatch.tab_licenses.licenseKey'] = 'Clave de licencia';
$lang['CWatch.tab_licenses.type'] = 'Tipo';
$lang['CWatch.tab_licenses.domain'] = 'Dominio';
$lang['CWatch.tab_licenses.status'] = 'Estado del dominio';
$lang['CWatch.tab_licenses.malware_scanner'] = 'Escáner';
$lang['CWatch.tab_licenses.options'] = 'Opciones';
$lang['CWatch.tab_licenses.no_upgrade_options'] = 'No hay licencias disponibles para actualización.';
$lang['CWatch.tab_licenses.no_results'] = 'No se han concedido licencias para este servicio.';
$lang['CWatch.tab_licenses.upgrade_delay'] = 'Las actualizaciones pueden tardar algún tiempo en propagarse, por lo que es posible que aún se muestre el tipo de licencia antiguo.';
$lang['CWatch.tab_licenses.not_applicable'] = 'N/A';
$lang['CWatch.tab_licenses.deactivate_license'] = 'Desactivar licencia';
$lang['CWatch.tab_licenses.remove_site'] = 'Eliminar sitio';
$lang['CWatch.tab_licenses.add_site'] = 'Añadir sitio';
$lang['CWatch.tab_licenses.upgrade_site'] = 'Actualizar el sitio';
$lang['CWatch.tab_licenses.confirm_delete'] = '¿Está seguro de que desea eliminar este dominio?';
$lang['CWatch.tab_licenses.confirm_deactivate'] = '¿Está seguro de que desea desactivar esta licencia?';
$lang['CWatch.tab_licenses.cancel'] = 'Cancelar';
$lang['CWatch.tab_licenses.current_license'] = 'Licencia actual';
$lang['CWatch.tab_licenses.license_name'] = '%1$s (%2$s)';
$lang['CWatch.tab_licenses.initiateDns'] = 'DNS inicial';
$lang['CWatch.tab_licenses.autoSsl'] = 'AutoSSL';
$lang['CWatch.tab_licenses.submit'] = 'Enviar';
$lang['CWatch.tab_malware.malware'] = 'Control de malware';
$lang['CWatch.tab_malware.add_scanner'] = 'Añadir escáner';
$lang['CWatch.tab_malware.test_credentials'] = 'Pruebe estas credenciales';
$lang['CWatch.tab_malware.domainname'] = 'Nombre de dominio';
$lang['CWatch.tab_malware.ftppassword'] = 'Contraseña FTP';
$lang['CWatch.tab_malware.ftpusername'] = 'Nombre de usuario FTP';
$lang['CWatch.tab_malware.host'] = 'Nombre de host FTP';
$lang['CWatch.tab_malware.port'] = 'Puerto FTP';
$lang['CWatch.tab_malware.sftp'] = 'Utilizar SFTP';
$lang['CWatch.tab_malware.path'] = 'Directorio del sitio';
$lang['CWatch.tab_malware.submit'] = 'Enviar';
$lang['CWatch.getsitestatuses.waiting'] = 'En espera';
$lang['CWatch.getsitestatuses.site_inprogress'] = 'Provisión de emplazamientos en curso';
$lang['CWatch.getsitestatuses.site_retry'] = 'Reintentar la provisión del sitio';
$lang['CWatch.getsitestatuses.site_completed'] = 'Sitio añadido';
$lang['CWatch.getsitestatuses.site_failed'] = 'Provisión del sitio fallida';
$lang['CWatch.getsitestatuses.dns_inprogress'] = 'Escaneo DNS en curso';
$lang['CWatch.getsitestatuses.dns_retry'] = 'Reintento de exploración DNS';
$lang['CWatch.getsitestatuses.dns_completed'] = 'Escaneo DNS completado';
$lang['CWatch.getsitestatuses.dns_failed'] = 'Sitio añadido, escaneo DNS fallido';
$lang['CWatch.getsitestatuses.ssl_inprogress'] = 'Instalación SSL en curso';
$lang['CWatch.getsitestatuses.ssl_retry'] = 'Reintento de instalación SSL';
$lang['CWatch.getsitestatuses.ssl_completed'] = 'Certificado SSL añadido';
$lang['CWatch.getsitestatuses.ssl_fail'] = 'Sitio añadido, instalación SSL fallida';

